Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005025 [JEDI VCL] 00 JVCL Components minor always 2009-11-18 11:26 2009-12-18 11:55
Reporter jb144 View Status public  
Assigned To jfudickar
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005025: FormStorage does not restore Form to maximized
Description Since revision 12560 JvFormStorage does not restore a Form to maximized state. Tested with Delphi 2007 and Delphi 2009. I switched back and forth twice. With revision 12559 it's ok, but with revision 12560 and also 12607 it's not. For me the changes in JvJVCLUtils.pas from 12559 to 12560 seems only relevant to Delphi 2010 or not relevant for the WindowState.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvJVCLUtils.patch [^] (502 bytes) 2009-11-18 12:09

- Relationships

-  Notes
(0016895)
jb144 (reporter)
2009-11-18 12:09

So I compiled the developer installation and debugged InternalRestoreFormPlacement. It's seems that the else branch to set Form.WindowState is missing for Delphi before 2010.
(0016941)
obones (administrator)
2009-12-04 15:26

Thanks for this, we will review it
(0016971)
jfudickar (developer)
2009-12-06 21:39

Fixed in Revision 12614

Thanks for the hint. It was my fault :-(

- Issue History
Date Modified Username Field Change
2009-11-18 11:26 jb144 New Issue
2009-11-18 11:26 jb144 Issue Monitored: jb144
2009-11-18 11:27 jb144 Issue End Monitor: jb144
2009-11-18 12:09 jb144 Note Added: 0016895
2009-11-18 12:09 jb144 File Added: JvJVCLUtils.patch
2009-11-22 13:02 jb144 Issue Monitored: jb144
2009-12-04 15:26 obones Note Added: 0016941
2009-12-04 15:26 obones Status new => acknowledged
2009-12-06 21:39 jfudickar Note Added: 0016971
2009-12-06 21:39 jfudickar Status acknowledged => resolved
2009-12-06 21:39 jfudickar Fixed in Version => 3.40 - not yet released
2009-12-06 21:39 jfudickar Resolution open => fixed
2009-12-06 21:39 jfudickar Assigned To => jfudickar
2009-12-18 11:55 obones Target Version => 3.40 - not yet released


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker